Page MenuHomePhabricator

Migrate apertium to SCB
Closed, ResolvedPublic

Description

With T107306 done, it's time to migrate the apertium service to the scb cluster. Migration should happen without any requests failing. Scheduled deployment is for Oct 5

Details

Related Gerrit Patches:
operations/puppet : productionRemove apertium from sca
operations/puppet : productionconftool: Remove the apertium service from sca
operations/puppet : productionconftool: Remove apertium from sca machines
operations/puppet : productionlvs: Migrate apertium to scb
operations/puppet : productionconftool: Set the apertium services on all scb nodes
operations/puppet : productionconftool: Add apertium to scb cluster
operations/puppet : productionapertium: Enable it on SCB

Event Timeline

akosiaris created this task.Oct 4 2016, 9:10 AM
Restricted Application added a project: ContentTranslation. · View Herald TranscriptOct 4 2016, 9:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 310311 had a related patch set uploaded (by Alexandros Kosiaris):
apertium: Enable it on SCB

https://gerrit.wikimedia.org/r/310311

Change 313965 had a related patch set uploaded (by Alexandros Kosiaris):
conftool: Add apertium to scb cluster

https://gerrit.wikimedia.org/r/313965

Change 313966 had a related patch set uploaded (by Alexandros Kosiaris):
conftool: Set the apertium services on all scb nodes

https://gerrit.wikimedia.org/r/313966

Change 313967 had a related patch set uploaded (by Alexandros Kosiaris):
lvs: Migrate apertium to scb

https://gerrit.wikimedia.org/r/313967

Change 313968 had a related patch set uploaded (by Alexandros Kosiaris):
conftool: Remove apertium from sca machines

https://gerrit.wikimedia.org/r/313968

Change 313969 had a related patch set uploaded (by Alexandros Kosiaris):
conftool: Remove the apertium service from sca

https://gerrit.wikimedia.org/r/313969

Change 313970 had a related patch set uploaded (by Alexandros Kosiaris):
Remove apertium from sca

https://gerrit.wikimedia.org/r/313970

Change 310311 merged by Alexandros Kosiaris:
apertium: Enable it on SCB

https://gerrit.wikimedia.org/r/310311

Mentioned in SAL (#wikimedia-operations) [2016-10-05T08:11:12Z] <akosiaris> T147288 disable puppet on scb1001, scb1002, scb2001, scb2002

Mentioned in SAL (#wikimedia-operations) [2016-10-05T09:21:49Z] <akosiaris> enable puppet on scb1002. T147288

Change 313965 merged by Alexandros Kosiaris:
conftool: Add apertium to scb cluster

https://gerrit.wikimedia.org/r/313965

Change 313966 merged by Alexandros Kosiaris:
conftool: Set the apertium services on all scb nodes

https://gerrit.wikimedia.org/r/313966

Change 313967 merged by Alexandros Kosiaris:
lvs: Migrate apertium to scb

https://gerrit.wikimedia.org/r/313967

Mentioned in SAL (#wikimedia-operations) [2016-10-05T09:43:57Z] <akosiaris> restart pybal on lvs1006, lvs1009, lvs1012, lvs2006 T147288

Mentioned in SAL (#wikimedia-operations) [2016-10-05T10:05:48Z] <akosiaris> restart pybal on lvs1003, lvs2003 T147288

akosiaris closed this task as Resolved.EditedOct 7 2016, 10:33 AM

Migration happened 2 days ago successfully. Resolving.

Change 313968 merged by Alexandros Kosiaris:
conftool: Remove apertium from sca machines

https://gerrit.wikimedia.org/r/313968

Change 313969 merged by Alexandros Kosiaris:
conftool: Remove the apertium service from sca

https://gerrit.wikimedia.org/r/313969

Change 313970 merged by Alexandros Kosiaris:
Remove apertium from sca

https://gerrit.wikimedia.org/r/313970